> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heybee.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Connect Huggingface



## OpenAPI

````yaml /openapi.json post /v1/integrations/huggingface/connect
openapi: 3.1.0
info:
  description: Customer-owned evaluation lifecycle API.
  title: HeyBee Public API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.heybee.app
security: []
paths:
  /v1/integrations/huggingface/connect:
    post:
      tags:
        - Hugging Face
      summary: Connect Huggingface
      operationId: connect_huggingface_v1_integrations_huggingface_connect_post
      parameters:
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: X-API-Key
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/HuggingFaceConnectRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HuggingFaceConnectionStatusResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - BearerAuth: []
        - ApiKeyAuth: []
components:
  schemas:
    HuggingFaceConnectRequest:
      properties:
        expires_at:
          anyOf:
            - type: integer
            - type: 'null'
          title: Expires At
        provider_refresh_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Provider Refresh Token
        provider_token:
          minLength: 1
          title: Provider Token
          type: string
        scopes:
          items:
            type: string
          title: Scopes
          type: array
      required:
        - provider_token
      title: HuggingFaceConnectRequest
      type: object
    HuggingFaceConnectionStatusResponse:
      properties:
        connected:
          title: Connected
          type: boolean
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        last_used_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Last Used At
        provider:
          const: huggingface
          default: huggingface
          title: Provider
          type: string
        reauth_required:
          default: false
          title: Reauth Required
          type: boolean
        revoked_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Revoked At
        scopes:
          items:
            type: string
          title: Scopes
          type: array
        username:
          anyOf:
            - type: string
            - type: 'null'
          title: Username
      required:
        - connected
      title: HuggingFaceConnectionStatusResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    BearerAuth:
      bearerFormat: Supabase JWT
      scheme: bearer
      type: http
    ApiKeyAuth:
      in: header
      name: X-API-Key
      type: apiKey

````